#!/bin/sh
# Generic path mapping

# Command line arguments
HOST_STORAGE_DEVICES_INFO_GUEST="$1"
GUEST_MOUNT_PREFIX="$2"

while read line
do
    dlna_path=`echo "$line" | awk '{ print $3 }'`
    uuid=`echo "$line" | awk '{ print $2 }'`
    #label=`echo "$line" | awk '{ print $2 }'`
    chroot_path="${GUEST_MOUNT_PREFIX}$uuid"
    echo "$dlna_path $chroot_path $uuid"
done < ${HOST_STORAGE_DEVICES_INFO_GUEST}
